How to add a vertical or horizontal dimension on drawingview

Valued Contributor
Valued Contributor

Hello

 

i search for add a vertical or horizontal dimension on drawingview

 

i use the "AddDistanceBetweenObjects" method

 

Set objDimension = objdims.AddDistanceBetweenObjects(Drawing.GraphicMembers.Item(obj1).Reference, posX1, posY1, 0, True, Drawing.GraphicMembers.Item(obj2).Reference, posX2, posY2, 0, True)

 

with posX1, posY1 and posX2, posY2 the position about the two key point (i'm not sure about that)

 

objDimension.MeasurementAxisDirection = True (for use the axis)

objDimension.Axis = ?????

 

how to set the axis ? or what is the good method ?

 

Thanks

 

Sorry for my english

 

Posted by: BONNAUDET eric
Post date: 7/6/2011 10:47:52 PM

4 REPLIES

RE: How to add a vertical or horizontal dimension on drawingview

Valued Contributor
Valued Contributor

Up

Any boby have solution ?

 

Thanks

 

eric

 

Posted by: BONNAUDET eric
Post date: 8/9/2011 9:03:18 PM

RE: How to add a vertical or horizontal dimension on drawingview

Valued Contributor
Valued Contributor

Hello, I've have the same problem. Try this, works ok.

 

objdims.AxisMode = SolidEdgeFrameworkSupport.DimAxisModeConstants.igDimAxisModeExplicit

 

Set objDimension = objdims.AddDistanceBetweenObjects(Drawing.GraphicMembers.Item(obj1).Reference, posX1, posY1, 0, True, Drawing.GraphicMembers.Item(obj2).Reference, posX2, posY2, 0, True)

 

Sinex/ Eric, I am desesperate because I don't know to do a flange in a sheet metal. Can you help me?

 

Regards.

 

Posted by: Javier C
Post date: 10/31/2011 1:05:23 AM

RE: How to add a vertical or horizontal dimension on drawingview

Valued Contributor
Valued Contributor

for edit the part in assembly.

please help me..

 

Posted by: prasad k
Post date: 10/31/2011 1:14:12 AM

RE: How to add a vertical or horizontal dimension on drawingview

Valued Contributor
Valued Contributor

sorry Javier i haven't try tio do that, thanks you for your answer but the result isn't good , i don't understand how to use , posX1, posY1, , posX2, posY2 and how to choose horizontal or vertical dimension

 

Prasad : Your question is unclear

 

Posted by: BONNAUDET eric
Post date: 11/4/2011 12:49:51 AM